
QGIS Application - Bug report #8429

WMS requests for maps that were never asked for.

2013-08-08 04:14 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 17198

Description

While testing the transparency/WMS bug, I looked in the logs for the WMS.

For some reason during this period of changing transparency, QGIS had requested a couple of small, 120*120 maps that are very

zoomed out - so kind of like overview maps. I don't have an overview map in QGIS; I didn't even know that was possible.

I've attached the section of log files. The two anomalous requests are for height=120.

History

#1 - 2013-09-06 03:51 AM - Goyo D

I think this may be for the legend icon.

#2 - 2013-09-09 02:19 AM - Jonathan Moules

These requests are GetMap requests, a legend is a GetLegendGraphic.

#3 - 2014-06-21 12:21 PM - Jürgen Fischer

- Resolution set to worksforme

- Status changed from Open to Closed

Jonathan Moules wrote:

These requests are GetMap requests, a legend is a GetLegendGraphic.

Not really.  Those are probably requests to build the preview image that are shown in the legend/layer tree (maybe with reprojection applied).  You can

disable that with Create raster icons (may be slow) on the canvas & legend page in the options.

Files

logs.log 3.17 KB 2013-08-08 Jonathan Moules
